html,
body,
#app {
    width: 100%;
    height: 100%;
    font-family: Microsoft YaHei-Regular, Microsoft YaHei;
    background: #fff;
}

* {
    margin: 0;
    padding: 0;
    /*滚动条轨道颜色*/
    scrollbar-track-color: #EBEEF5;
    /*三角箭头的颜色*/
    scrollbar-arrow-color: #EBEEF5;
    /*滚动条滑块按钮的颜色*/
    scrollbar-face-color: #3168EB;
    /*滚动条阴影*/
    scrollbar-shadow-color: rgba(0, 0, 0, 0);
    /*滚动条整体颜色*/
    /*scrollbar-highlight-color: #0099dd;*/

    /*滚动条3d亮色阴影边框的外观颜色——左边和上边的阴影色*/
    scrollbar-3dlight-color: rgba(0, 0, 0, 0);
    /*滚动条3d暗色阴影边框的外观颜色——右边和下边的阴影色*/
    scrollbar-darkshadow-color: rgba(0, 0, 0, 0);
    /*滚动条基准颜色*/
    scrollbar-base-color: rgba(0, 0, 0, 0);
}

div {
    box-sizing: border-box;
}

ul, li {
    list-style: none;
    box-sizing: border-box;
}

.overflow_ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.list-group-item {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

i {
    font-style: normal;
}

iframe {
    display: block;
    border: none;
}
/* 视频样式 */
.video_qb{
    width: 150px;
    height: 100px;
    object-fit: cover;
    border-radius: 4px;
    border: 1px solid rgba(49, 104, 235, 0.2);
    margin-top: 16px;
    margin-right: 8px;
}
::-webkit-scrollbar { /*滚动条整体样式*/
    width: 6px !important; /*高宽分别对应横竖滚动条的尺寸*/
    height: 6px !important;
}

::-webkit-scrollbar-thumb { /*滚动条里面小方块*/
    background: #3168EB;
    border-radius: 12px;
}

::-webkit-scrollbar-track { /*滚动条里面轨道*/
    background: #EBEEF5;
}

.text-ellipsis {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
}
/* 全局下拉框叉号样式 */
#select_close{
    position: absolute;
    top: 8px;
    right: 10px;
    width: 16px;
    height: 16px;
    background: #fff;
    display: flex;
    align-items: center;
    cursor: pointer;
}
.disabled>#select_close{
    display: none;
}
/*弹框样式*/
.bullet_box_layer {
    width: 100%;
    height: 100%;
    position: fixed;
    left: 0;
    top: 0;
    background-color: rgba(0, 0, 0, 0.5);
    font-family: PingFang SC-Medium, PingFang SC;
}

/*等待弹框*/
.bullet_box_wait {
    max-width: 480px;
    background: #FFFFFF;
    border-radius: 8px 8px 8px 8px;
    padding: 39px 80px;
    display: flex;
    flex-direction: column;
    text-align: center;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.bullet_box_wait .wait_img {
    width: 325px;
    height: 187px;
    background-image: url("./1710214025748_wait_cion.png");
}

.bullet_box_wait span {
    font-size: 14px;
    color: #1B1F25;
    margin-top: 20px;
}

/*按钮弹框*/
.bullet_box_wrap {
    width: 480px;
    padding: 75px 51px 24px;
    background: #FFFFFF;
    border-radius: 8px 8px 8px 8px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
}

.bullet_img {
    width: 226px;
    height: 158px;
    background-image: url("./1710213912944_prompt_icon.png");
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -61px;
}

.title_wrap {
    width: 100%;
    font-size: 18px;
    color: #1B1F25;
    text-align: center;
    margin-top: 8px;
}

.title_content {
    width: 100%;
    font-size: 14px;
    color: rgba(27, 31, 37, 0.8);
    line-height: 26px;
    text-align: center;
}

.btns_wrap {
    width: 100%;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 24px;
}

.btn_confirm {
    width: 76px;
    height: 32px;
    background: #3168EB;
    border-radius: 4px 4px 4px 4px;
    opacity: 1;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 32px;
    text-align: center;
    cursor: pointer;
}

.btn_cancel {
    width: 76px;
    height: 32px;
    background: #FFFFFF;
    border-radius: 4px 4px 4px 4px;
    opacity: 1;
    border: 1px solid #DCDFE6;
    font-size: 14px;
    color: #606266;
    line-height: 32px;
    text-align: center;
    cursor: pointer;
    margin-right: 16px;
}

/* 搜索框全局和mask背景样式 */
.input_wrap .value {
    z-index: 1;
    position: relative;
}

.mask {
    z-index: 10;
}

/*表格公共样式*/
.table_style {
    width: 100%;
    background-color: #FFFFFF;
    padding: 0;
    margin: 0;
    border-collapse: collapse;
}

.table_style thead {
    position: sticky;
    top: 0px;
    z-index: 0;
}

.table_style thead:after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #CFD6DF;
    z-index: -1;
}

.table_style thead tr {
    background: #EDF4FF;
    border-bottom: 1px solid #CFD6DF;
    position: sticky;
    top: 0px;
    z-index: 0;
}

.table_style thead tr th {
    height: 40px;
    line-height: 40px;
    border-left: 1px solid #CFD6DF;
    font-size: 14px;
    color: #33363F;
    padding-left: 12px;
    text-align: left;
    font-family: Microsoft YaHei-Regular, Microsoft YaHei;
    position: sticky;
    top: 0px;
    z-index: 0;
}

.table_style thead tr th:first-child {
    border-left: none;
}

.table_style tbody {
    overflow: overlay;
    width: 100%;
    table-layout: fixed;
}

.table_style tbody tr {
    background: #FFFFFF;
    border-bottom: 1px solid #EBEEF5;
    transition: .5s;
}

.table_style tbody tr td {
    height: 40px;
    line-height: 40px;
    border: none;
    font-size: 14px;
    color: #1B1F25;
    padding-left: 12px;
    text-align: left;
    font-family: Microsoft YaHei-Regular, Microsoft YaHei;
}

.table_style tbody tr:hover {
    background: rgba(38, 108, 242, 0.05);
}

.table_style .table_state .state_layer {
    display: inline-block;
    height: 24px;
    padding: 0 16px;
    background: linear-gradient(132deg, #F3F9FF 0%, #E5F3FF 100%);
    border-radius: 2px 2px 2px 2px;
    border: 1px solid rgba(56, 127, 250, 0.2);
    color: #266CF2;
    font-size: 12px;
    line-height: 22px;
    text-align: center;
    font-family: Microsoft YaHei-Regular, Microsoft YaHei;
}

.table_style .table_state .invalid {
    background: linear-gradient(132deg, #FFF3F3 0%, #FFE5E5 100%);
    border: 1px solid rgba(225, 69, 69, 0.4);
    color: #E14545;
}

.table_style .table_state .read {
    background: linear-gradient(132deg, rgba(170, 170, 176, 0.1) 0%, rgba(170, 170, 176, 0.2) 100%);
    border: 1px solid rgba(170, 170, 176, 0.4);
    color: #2A2B39;
}

.table_style .table_state .unread {
    background: linear-gradient(132deg, rgba(255, 122, 0, 0.1) 0%, rgba(255, 122, 0, 0.2) 100%);
    border: 1px solid rgba(255, 122, 0, 0.4);
    color: #FF7A00;
}

.table_style .table_state .major_red {
    font-size: 14px;
    color: #E14545;
}

.table_style .table_operate {
    display: flex;
}

/* 正常  绿色 */
.table_style .table_state .state_layer.normal {
    background: linear-gradient(132deg, rgba(0, 212, 8, 0.1) 0%, rgba(0, 212, 8, 0.2) 100%);
    border-radius: 2px 2px 2px 2px;
    border: 1px solid rgba(0, 212, 8, 0.4);
    color: #00D408;
}

/* 未初始化  灰色 */
.table_style .table_state .state_layer.info {
    background: linear-gradient(132deg, rgba(170, 170, 176, 0.1) 0%, rgba(170, 170, 176, 0.2) 100%);
    border-radius: 2px 2px 2px 2px;
    border: 1px solid rgba(170, 170, 176, 0.4);
    color: #2A2B39;
}

/* 警告  黄色 */
.table_style .table_state .state_layer.warning {
    background: linear-gradient(132deg, rgba(255, 122, 0, 0.1) 0%, rgba(255, 122, 0, 0.2) 100%);
    border-radius: 2px 2px 2px 2px;
    border: 1px solid rgba(255, 122, 0, 0.4);
    color: #FF7A00;
}

.table_style .table_operate .info_btn {
    display: flex;
    align-items: center;
    cursor: pointer;
}


.table_style .table_operate .download_btn {
    margin-left: 30px;
}

.table_style .table_operate .info_btn span {
    font-size: 14px;
    color: #266CF2;
    font-family: Microsoft YaHei-Regular, Microsoft YaHei;
    margin-left: 4px;
}

.table_view .view_on {
    color: #266CF2;
    cursor: pointer;
}

.table_view .view_off {
    color: #2A2B39;
}

/* 去掉输入框右侧有数字加减按钮 */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none !important;
}

input:disabled {
    background-color: #f5f5f5;
}

textarea:disabled {
    background-color: #f5f5f5 !important;
}

input[type="number"] {
    -moz-appearance: textfield; /* 此处写不写都可以 */
}

/*输入框公共样式*/
.input_style {
    width: 100%;
    height: 100%;
    background: #FFFFFF;
    border-radius: 4px 4px 4px 4px;
    border: 1px solid #DCDFE6;
    padding: 0 12px;
    outline: none;
    font-family: Microsoft YaHei-Regular, Microsoft YaHei;
    font-size: 14px;
    color: #1B1F25;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    position: relative;
    -moz-user-select: none; /*火狐*/
    -webkit-user-select: none; /*webkit浏览器*/
    -ms-user-select: none; /*IE10*/
    -khtml-user-select: none; /*早期浏览器*/
    user-select: none;
}

.input_style::-webkit-input-placeholder {
    /* WebKit browsers，webkit内核浏览器 */
    color: rgba(42, 43, 57, 0.4);
    font-size: 14px;
}

.input_style:-moz-placeholder {
    /* Mozilla Firefox 4 to 18 */
    color: rgba(42, 43, 57, 0.4);
    font-size: 14px;
}

.input_style::-moz-placeholder {
    /* Mozilla Firefox 19+ */
    color: rgba(42, 43, 57, 0.4);
    font-size: 14px;
}

.input_style:-ms-input-placeholder {
    /* Internet Explorer 10+ */
    color: rgba(42, 43, 57, 0.4);
    font-size: 14px;
}

select::-ms-expand {
    display: none;
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: url('./1710220628996_arrow-down.png') no-repeat !important;
    background-position: right 12px center !important;
}

.page_select {
    color: #5D6C89;
}

/*分页公共样式*/
.page_wrap {
    width: 100%;
    height: 132px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: HarmonyOS Sans SC-Regular, HarmonyOS Sans SC;
    -moz-user-select: none; /*火狐*/
    -webkit-user-select: none; /*webkit浏览器*/
    -ms-user-select: none; /*IE10*/
    -khtml-user-select: none; /*早期浏览器*/
    user-select: none;
}

.page_total {
    font-size: 14px;
    color: #5D6C89;
}

.page_size {
    width: 130px;
    height: 32px;
    margin: 0 16px;
}

.page_box {
    display: flex;
    align-items: center;
}

.page_left {
    width: 16px;
    height: 16px;
    background-image: url("./1710221132709_page_left_icon.png");
    cursor: pointer;
}

.page_right {
    width: 16px;
    height: 16px;
    background-image: url("./1710221161979_page_right_icon.png");
    cursor: pointer;
}

.page_item {
    width: 40px;
    height: 32px;
    font-size: 14px;
    color: #5D6C89;
    text-align: center;
    line-height: 32px;
    cursor: pointer;
}

.page_item_active {
    font-weight: bold;
    color: #266CF2;
}

[v-cloak] {
    display: none !important;
}


/*富文本样式配置*/
#editor {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
}

.editor_layer {
    width: 100%;
    height: 100%;
    position: relative;
}

.up_btns {
    position: absolute;
    top: 6px;
    left: 650px;
    z-index: 2;
    display: flex;
    align-items: center;
}

.up_btn {
    margin-left: 13px;
    cursor: pointer;
    position: relative;
}

.up_btn img {
    width: 20px;
    height: 20px;
}

.up_box {
    background-color: #ffffff;
    box-shadow: 0 0 12px 0 rgba(0, 0, 0, 0.12);
    padding: 20px;
    position: absolute;
    transform: translateY(100%);
    bottom: -20px;
    left: 0;
}

.up_size {
    width: 200px;
    height: 32px;
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.up_file_btn {
    width: 200px;
    height: 32px;
    background: #3168EB;
    border-radius: 4px 4px 4px 4px;
    color: #FFFFFF;
    line-height: 32px;
    text-align: center;
    margin-bottom: 10px;
}

.up_url {
    width: 200px;
    height: 32px;
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.up_value {
    flex: 1;
    height: 100%;
}

.w-e-text-container {
    width: 100%;
    height: calc(100% - 34px) !important;
}

/*地址样式*/
.map_btn {
    width: 92px;
    height: 36px;
    background: #FFFFFF;
    border-radius: 4px;
    font-size: 14px;
    line-height: 36px;
    cursor: pointer;
    border: 1px solid #3168EB;
    color: #3168EB;
    text-align: center;
    margin-left: 10px;
}

.dist_list {
    width: 100%;
    padding: 8px 0;
    box-shadow: 0 0 12px 0 rgba(0, 0, 0, 0.12);
    position: absolute;
    top: 36px;
    left: 0;
    z-index: 10;
    background: #FFFFFF;
    border-radius: 4px 4px 4px 4px;
}

.dist_item {
    width: 100%;
    height: 36px;
    line-height: 36px;
    padding-left: 22px;
    color: #303133;
    font-size: 14px;
    font-family: PingFang SC-Medium, PingFang SC;
    cursor: pointer;
}

.dist_item:hover {
    background: rgba(49, 104, 235, 0.1);
    color: #3168EB;
}

/*上传公共样式*/
.img_list {
    display: flex;
    flex-wrap: wrap;
}

.img_box {
    position: relative;
    width: 200px;
    height: 200px;
    margin: 0 30px 18px 0;
    border-radius: 8px;
    border: 1px solid rgba(49, 104, 235, 0.2);
}

.upload_box {
    display: flex;
    align-items: center;
    justify-content: center;
    background: #F9F9F9;
    border-radius: 8px 8px 8px 8px;
    border: 1px solid rgba(49, 104, 235, 0.2);
    cursor: pointer;
}

.upload_box > input {
    position: absolute;
    left: 0;
    top: 0;
    display: block;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}

.upload_icon {
    width: 74px;
    height: 74px;
}

.info_img {
    width: 590px;
    height: 274px;
}

.img_box > .remove_icon {
    position: absolute;
    z-index: 2;
    top: 0;
    right: 0;
    width: 20px;
    height: 20px;
    cursor: pointer;
}

.img_box .img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/*上传附件*/
.up_file_layer {
    width: 100%;
    height: 100%;
    position: relative;
}

.up_file_layer .up_btn {
    width: 106px;
    height: 32px;
    background: #3168EB;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    color: #FFFFFF;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;
    pointer-events: none;
}

.up_file_layer .up_btn img {
    margin-right: 5px;
}

.up_file_layer .up_name {
    width: calc(100% - 130px);
    height: calc(100% - 4px);
    display: flex;
    align-items: center;
    background-color: #FFFFFF;
    font-size: 18px;
    color: #2A2B39;
    position: absolute;
    top: 50%;
    left: 124px;
    transform: translateY(-50%);
    z-index: 2;
    pointer-events: none;
}

.up_file_layer .up_input {
    position: absolute;
    top: 0;
    left: 0;
    line-height: 50px;
    z-index: 1;
    padding-left: 46px;
}

/*上传多个附件*/
.up_file_layer_s {
    width: 100%;
    min-height: 50px;
    border-radius: 4px 4px 4px 4px;
    background: #FFFFFF;
    border: 1px solid #DCDFE6;
}

.up_file_box {
    width: 100%;
    height: 50px;
    position: relative;
}

.up_file_box .up_btn {
    width: 106px;
    height: 32px;
    background: #3168EB;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    color: #FFFFFF;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;
    pointer-events: none;
}

.up_file_box .up_btn img {
    margin-right: 5px;
}

.up_file_box .up_name {
    width: calc(100% - 130px);
    height: calc(100% - 4px);
    display: flex;
    align-items: center;
    background-color: #FFFFFF;
    font-size: 18px;
    color: #2A2B39;
    position: absolute;
    top: 50%;
    left: 124px;
    transform: translateY(-50%);
    z-index: 2;
    pointer-events: none;
}

.up_file_box .up_input {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    line-height: 50px;
    z-index: 1;
    padding-left: 46px;
}

.up_file_list {
    width: 100%;
    padding: 5px 11px 0;
}

.up_file_item {
    width: 100%;
    height: 22px;
    display: flex;
    margin-bottom: 15px;
    align-items: center;
}

.up_file_item img {
    width: 18px;
    height: 18px;
}

.up_file_item .file_del_icon {
    cursor: pointer;
}

.up_file_item .name {
    width: 464px;
    height: 100%;
    margin: 0 5px;
}

/*树结构*/
.disabled .inputWrap {
    pointer-events: none;
    background-color: #f5f5f5;
}

.disabled .c-datepicker-date-editor {
    background-color: #f5f5f5;
}
.disabled #selectDemo xm-select{
    background-color: #f5f5f5;
}
.dialog_content table {
    width: 100%;
}

.select_box {
    position: relative;
}

.select_box .select_region {
    position: absolute;
    min-width: 100%;
    top: 40px;
    /*left: 50%;*/
    /*transform: translateX(-50%);*/
}

.select_box .treeview {
    min-width: 100%;
    box-shadow: 0 0 12px 0 rgba(0, 0, 0, 0.12);
    padding: 8px 0;
    border-radius: 4px 4px 4px 4px;
    z-index: 1000;
    background: #FFFFFF;
    max-height: 300px;
    overflow-x: hidden;
    position: relative;
}

.select_box .list-group {
    width: 100%;
}

.select_box .list-group .list-group-item {
    width: auto;
    height: 36px;
    padding: 0;
    padding: 0 10px;
    line-height: 36px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: #303133;
    font-size: 14px;
    cursor: pointer;
    font-family: PingFang SC-Medium, PingFang SC;
    background-color: #FFFFFF;
}

.select_box .list-group .list-group-item:hover {
    background: rgba(49, 104, 235, 0.1);
    color: #3168EB;
}

.select_box .expand-icon.glyphicon.glyphicon-chevron-down {
    top: 4px;
    width: 8px;
    height: 8px;
    color: rgba(0, 0, 0, 0);
    background-image: url("./1710221235819_expand_icon.png");
    background-size: 100% 100%;
}

.select_box .expand-icon.glyphicon.glyphicon-chevron-right {
    top: 4px;
    width: 8px;
    height: 8px;
    color: rgba(0, 0, 0, 0);
    background-image: url("./1710221282392_retract_icon.png");
    background-size: 100% 100%;
}

.select_box .select_icon_active {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%) rotate(180deg);
    transition: .5s;
}

.select_box .select_icon {
    position: absolute;
    top: 50%;
    transform: translateY(-50%) rotate(0deg);
    right: 10px;
}

.treeview span.check-icon {
    width: 14px !important;
    height: 16px;
    margin-right: 3px !important;
    color: #6C9BF3;
}
